package com.bootdo.system.service.impl;

import com.bootdo.system.dao.SearchDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

import com.bootdo.system.domain.SearchDO;
import com.bootdo.system.service.SearchService;



@Service
public class SearchServiceImpl implements SearchService {
	@Autowired
    private SearchDao searchDao;
	
	@Override
	public SearchDO get(Long id){
		return searchDao.get(id);
	}
	
	@Override
	public List<SearchDO> list(Map<String, Object> map){
		return searchDao.list(map);
	}
	
	@Override
	public int count(Map<String, Object> map){
		return searchDao.count(map);
	}
	
	@Override
	public int save(SearchDO search){
		return searchDao.save(search);
	}
	
	@Override
	public int update(SearchDO search){
		return searchDao.update(search);
	}
	
	@Override
	public int remove(Long id){
		return searchDao.remove(id);
	}
	
	@Override
	public int batchRemove(Long[] ids){
		return searchDao.batchRemove(ids);
	}
	
}
